<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title> route-rnd - current state </title>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<!--AUTO head begin-->
<!--	<link rel="icon" href="resources/logo16.png">-->
<!--AUTO head end-->
</head>
<body>

<!--AUTO navbar begin-->
<table border=0 cellspacing=2 cellpadding=10  bgcolor="#eeeeee" width="100%">
<tr>
<th align=center bgcolor="#ccc0cc"> <a href="index.html"> Main </a>
<th align=center bgcolor="#ccc0cc"> <a href="news.html"> News </a>
<th align=center bgcolor="#ccc0cc"> <a href="doc.html">Doc</a> | <a href="state.html">State</a>
<th align=center bgcolor="#ccc0cc"> <a href="support.html"> Support </a>
<td align=right width="60%"> <font size="+2"><i>route-rnd</i></font> 
	<!--<img src="resources/logo32.png" alt="[route-rnd logo]">-->
</table>
<!--AUTO navbar end-->

<H1> route-rnd current state </H1>

<h2> version 0.9.0 </h2>
<table border=1 cellspacing=0>
<tr><th>router algo <th> state

<tr><td>horver
    <td>Make sure pin/pad centers are aligned on a (preferrably >=100mil) grid.
        Precise grid alignment is essential for this router. Make sure you do
        not have any pin larger than your via setting.
        <p>
        Bug: some escape lines will run too close to the pin.
 
<tr><td>rt_topo/trbs
    <td>Bug: depending on the triangulation, some line segments may run too
        close to the corner of rectangular pads or to round pads.

<tr><td>rt_topo/crbs
    <td>Limitations:
        <ul>
        <li> because of the convex-only approach currently implemented,
        some traces include unnecessary curves, especially around rectangular
        pads.
        <li> because of the same convex-only limitation and missing corridor
             code, some rats are not routed or go around far away obstacles in
             long detours
        </ul>

</body>
</html>
